// Sharp IR GP2Y0A41SK0F Distance Test
http://www.electronoobs.com/eng_arduino_tut72.php

#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// Set the LCD address to 0x27 or 0x3f for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x27, 20, 4);

#define sensor A0 // Sharp IR GP2Y0A41SK0F (4-30cm, analog)

void setup() {
  lcd.init();
  lcd.backlight();
  Serial.begin(9600); // start the serial port
}

void loop() {
  // 5v
  int Read, cm;
 
  Read = analogRead(A0); // lectura del sensor 0
  cm = pow(3027.4 / Read, 1.2134); // conversión a centímetros
  
  delay(100); // tiempo de espera
  
  if (cm <= 30){
    Serial.print("Distance in cm: ");
    Serial.println(cm); // lectura del sensor 0
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print(" DISTANCE in cm ");
    lcd.setCursor(0,1);
    lcd.print(cm);
  }
  else
  {
    Serial.println("OUT OF RANGE");   // print the distance
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("  OUT OF RANGE  ");    
  }
  
}
